HBPP(1)

NAME
hbpp - Harbour Preprocessor

SYNOPSIS
hbpp <file[.prg]> [ options ]

DESCRIPTION
hbpp is fully functional standalone Harbour preprocessor which can be used to preprocess any files but also to generate C source code with preprocesor rules defined in given files.

OPTIONS

-d<id>[=<val>]
    #define <id>

-e[<func>]
    use <func> as entry function in generated .c PP rules

-i<path>
    add #include file search path

-u[<file>]
    use command def set in <file> (or none)

-c[<file>]
    look for ChangeLog file to extract version information

-o<file>
    creates .c file with PP rules

-v<file>
    creates .h file with version information

-w  write preprocessed (.ppo) file

-q[012]
    disable information messages

If neither -o nor -v is specified then -w is default action.

ENVIRONMENT VARIABLES

INCLUDE
    The value of INCLUDE is a colon-separated list of directories, much like shell's PATH. It's used by hbpp as default search paths for included files.

AUTHOR
Przemyslaw Czerpak, The Harbour Project